log4shib::threading::Mutex(3)

NAME
log4shib::threading::Mutex

SYNOPSIS

#include <PThreads.hh>

  Public Member Functions
Mutex ()
void lock ()
void unlock ()
~Mutex ()

Constructor & Destructor Documentation

  log4shib::threading::Mutex::Mutex () [inline]

  log4shib::threading::Mutex::~Mutex () [inline]

Member Function Documentation

  void log4shib::threading::Mutex::lock () [inline]

  void log4shib::threading::Mutex::unlock () [inline]

Author

Generated automatically by Doxygen for log4shib from the source code.